package com.sonic.shark.event.outer;

import com.sonic.common.event.Event;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 定义不属于当前系统的消息
 * @author code
 */
@AllArgsConstructor
@Getter
public enum EventType {
    /** 事件定义 */
    USER_CREATED(Event.BuildInScene.BS.getCode(), "bs_user", "user_created", "用户创建"),
    ;

    EventType(String scene, String module, String name, String desc) {
        this.eventCode = Event.EventCode.builder()
                .scene(scene)
                .module(module)
                .name(name)
                .build();
        this.desc = desc;
    }

    private String desc;
    private Event.EventCode eventCode;
}
